import type { SelectionPropagation, TreeNode } from "src/types/treeView.types";
import { StoreApi, UseBoundStore } from 'zustand';
export type TreeViewState = {
    checked: Set<string>;
    updateChecked: (checked: Set<string>) => void;
    indeterminate: Set<string>;
    updateIndeterminate: (indeterminate: Set<string>) => void;
    expanded: Set<string>;
    updateExpanded: (expanded: Set<string>) => void;
    initialTreeViewData: TreeNode[];
    updateInitialTreeViewData: (initialTreeViewData: TreeNode[]) => void;
    nodeMap: Map<string, TreeNode>;
    updateNodeMap: (nodeMap: Map<string, TreeNode>) => void;
    childToParentMap: Map<string, string>;
    updateChildToParentMap: (childToParentMap: Map<string, string>) => void;
    searchText: string;
    updateSearchText: (searchText: string) => void;
    searchKeys: string[];
    updateSearchKeys: (searchKeys: string[]) => void;
    innerMostChildrenIds: string[];
    updateInnerMostChildrenIds: (innerMostChildrenIds: string[]) => void;
    selectionPropagation: SelectionPropagation;
    setSelectionPropagation: (selectionPropagation: SelectionPropagation) => void;
    cleanUpTreeViewStore: () => void;
};
export declare function getTreeViewStore(id: string): UseBoundStore<StoreApi<TreeViewState>>;
export declare function useTreeViewStore(id: string): UseBoundStore<StoreApi<TreeViewState>>;
//# sourceMappingURL=treeView.store.d.ts.map